Commit 3f8afc5d authored by David's avatar David
Browse files

Point to substrate companion branch

parent 95ef107d
Pipeline #165507 canceled with stages
in 15 minutes and 58 seconds
......@@ -454,6 +454,7 @@ dependencies = [
[[package]]
name = "beefy-gadget"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"beefy-primitives",
"fnv",
......@@ -481,6 +482,7 @@ dependencies = [
[[package]]
name = "beefy-gadget-rpc"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"beefy-gadget",
"beefy-primitives",
......@@ -500,10 +502,12 @@ dependencies = [
[[package]]
name = "beefy-merkle-tree"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
[[package]]
name = "beefy-primitives"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"parity-scale-codec",
"scale-info",
......@@ -1899,6 +1903,7 @@ checksum = "3f9eec918d3f24069decb9af1554cad7c880e2da24a9afd88aca000531ab82c1"
[[package]]
name = "fork-tree"
version = "3.0.0"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"parity-scale-codec",
]
......@@ -1916,6 +1921,7 @@ dependencies = [
[[package]]
name = "frame-benchmarking"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -1935,6 +1941,7 @@ dependencies = [
[[package]]
name = "frame-benchmarking-cli"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"Inflector",
"chrono",
......@@ -1960,6 +1967,7 @@ dependencies = [
[[package]]
name = "frame-election-provider-support"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -1973,6 +1981,7 @@ dependencies = [
[[package]]
name = "frame-executive"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -2000,6 +2009,7 @@ dependencies = [
[[package]]
name = "frame-support"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"bitflags",
"frame-metadata",
......@@ -2028,6 +2038,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"Inflector",
"frame-support-procedural-tools",
......@@ -2039,6 +2050,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support-procedural-tools-derive",
"proc-macro-crate 1.1.0",
......@@ -2050,6 +2062,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools-derive"
version = "3.0.0"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"proc-macro2",
"quote",
......@@ -2059,6 +2072,7 @@ dependencies = [
[[package]]
name = "frame-support-test"
version = "3.0.0"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-support-test-pallet",
......@@ -2081,6 +2095,7 @@ dependencies = [
[[package]]
name = "frame-support-test-pallet"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -2091,6 +2106,7 @@ dependencies = [
[[package]]
name = "frame-system"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"log",
......@@ -2107,6 +2123,7 @@ dependencies = [
[[package]]
name = "frame-system-benchmarking"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -2121,6 +2138,7 @@ dependencies = [
[[package]]
name = "frame-system-rpc-runtime-api"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"parity-scale-codec",
"sp-api",
......@@ -2129,6 +2147,7 @@ dependencies = [
[[package]]
name = "frame-try-runtime"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"sp-api",
......@@ -2341,6 +2360,7 @@ checksum = "8f5f3913fa0bfe7ee1fd8248b6b9f42a5af4b9d65ec2dd2c3c26132b950ecfc2"
[[package]]
name = "generate-bags"
version = "3.0.0"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"chrono",
"frame-election-provider-support",
......@@ -4638,6 +4658,7 @@ checksum = "13370dae44474229701bb69b90b4f4dca6404cb0357a2d50d635f1171dc3aa7b"
[[package]]
name = "pallet-assets"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4651,6 +4672,7 @@ dependencies = [
[[package]]
name = "pallet-authority-discovery"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -4666,6 +4688,7 @@ dependencies = [
[[package]]
name = "pallet-authorship"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -4680,6 +4703,7 @@ dependencies = [
[[package]]
name = "pallet-babe"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4703,6 +4727,7 @@ dependencies = [
[[package]]
name = "pallet-bags-list"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-election-provider-support",
......@@ -4722,6 +4747,7 @@ dependencies = [
[[package]]
name = "pallet-bags-list-remote-tests"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"clap",
"frame-election-provider-support",
......@@ -4743,6 +4769,7 @@ dependencies = [
[[package]]
name = "pallet-balances"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4757,6 +4784,7 @@ dependencies = [
[[package]]
name = "pallet-beefy"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"beefy-primitives",
"frame-support",
......@@ -4772,6 +4800,7 @@ dependencies = [
[[package]]
name = "pallet-beefy-mmr"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"beefy-merkle-tree",
"beefy-primitives",
......@@ -4796,6 +4825,7 @@ dependencies = [
[[package]]
name = "pallet-bounties"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4880,6 +4910,7 @@ dependencies = [
[[package]]
name = "pallet-collective"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4896,6 +4927,7 @@ dependencies = [
[[package]]
name = "pallet-democracy"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4911,6 +4943,7 @@ dependencies = [
[[package]]
name = "pallet-election-provider-multi-phase"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-election-provider-support",
......@@ -4934,6 +4967,7 @@ dependencies = [
[[package]]
name = "pallet-elections-phragmen"
version = "5.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4951,6 +4985,7 @@ dependencies = [
[[package]]
name = "pallet-gilt"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4965,6 +5000,7 @@ dependencies = [
[[package]]
name = "pallet-grandpa"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -4987,6 +5023,7 @@ dependencies = [
[[package]]
name = "pallet-identity"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"enumflags2",
"frame-benchmarking",
......@@ -5002,6 +5039,7 @@ dependencies = [
[[package]]
name = "pallet-im-online"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5021,6 +5059,7 @@ dependencies = [
[[package]]
name = "pallet-indices"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5037,6 +5076,7 @@ dependencies = [
[[package]]
name = "pallet-membership"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5053,6 +5093,7 @@ dependencies = [
[[package]]
name = "pallet-mmr"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"ckb-merkle-mountain-range",
"frame-benchmarking",
......@@ -5070,6 +5111,7 @@ dependencies = [
[[package]]
name = "pallet-mmr-primitives"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5085,6 +5127,7 @@ dependencies = [
[[package]]
name = "pallet-mmr-rpc"
version = "3.0.0"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"jsonrpc-core",
"jsonrpc-core-client",
......@@ -5101,6 +5144,7 @@ dependencies = [
[[package]]
name = "pallet-multisig"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5115,6 +5159,7 @@ dependencies = [
[[package]]
name = "pallet-nicks"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5128,6 +5173,7 @@ dependencies = [
[[package]]
name = "pallet-offences"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5144,6 +5190,7 @@ dependencies = [
[[package]]
name = "pallet-offences-benchmarking"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-election-provider-support",
......@@ -5166,6 +5213,7 @@ dependencies = [
[[package]]
name = "pallet-proxy"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5180,6 +5228,7 @@ dependencies = [
[[package]]
name = "pallet-recovery"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5193,6 +5242,7 @@ dependencies = [
[[package]]
name = "pallet-scheduler"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5208,6 +5258,7 @@ dependencies = [
[[package]]
name = "pallet-session"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5228,6 +5279,7 @@ dependencies = [
[[package]]
name = "pallet-session-benchmarking"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5243,6 +5295,7 @@ dependencies = [
[[package]]
name = "pallet-society"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5256,6 +5309,7 @@ dependencies = [
[[package]]
name = "pallet-staking"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-election-provider-support",
......@@ -5278,6 +5332,7 @@ dependencies = [
[[package]]
name = "pallet-staking-reward-curve"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"proc-macro-crate 1.1.0",
"proc-macro2",
......@@ -5288,6 +5343,7 @@ dependencies = [
[[package]]
name = "pallet-staking-reward-fn"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"log",
"sp-arithmetic",
......@@ -5296,6 +5352,7 @@ dependencies = [
[[package]]
name = "pallet-sudo"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5309,6 +5366,7 @@ dependencies = [
[[package]]
name = "pallet-timestamp"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5326,6 +5384,7 @@ dependencies = [
[[package]]
name = "pallet-tips"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5344,6 +5403,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-support",
"frame-system",
......@@ -5360,6 +5420,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"jsonrpc-core",
"jsonrpc-core-client",
......@@ -5376,6 +5437,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc-runtime-api"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"pallet-transaction-payment",
"parity-scale-codec",
......@@ -5386,6 +5448,7 @@ dependencies = [
[[package]]
name = "pallet-treasury"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5402,6 +5465,7 @@ dependencies = [
[[package]]
name = "pallet-utility"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -5417,6 +5481,7 @@ dependencies = [
[[package]]
name = "pallet-vesting"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"frame-benchmarking",
"frame-support",
......@@ -7821,6 +7886,7 @@ dependencies = [
[[package]]
name = "remote-externalities"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"env_logger 0.9.0",
"jsonrpsee",
......@@ -8108,6 +8174,7 @@ dependencies = [
[[package]]
name = "sc-allocator"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"log",
"sp-core",
......@@ -8118,6 +8185,7 @@ dependencies = [
[[package]]
name = "sc-authority-discovery"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"derive_more",
......@@ -8144,6 +8212,7 @@ dependencies = [
[[package]]
name = "sc-basic-authorship"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
......@@ -8166,6 +8235,7 @@ dependencies = [
[[package]]
name = "sc-block-builder"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"parity-scale-codec",
"sc-client-api",
......@@ -8181,6 +8251,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"impl-trait-for-tuples",
"memmap2 0.5.0",
......@@ -8197,6 +8268,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec-derive"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"proc-macro-crate 1.1.0",
"proc-macro2",
......@@ -8207,6 +8279,7 @@ dependencies = [
[[package]]
name = "sc-cli"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"chrono",
"fdlimit",
......@@ -8244,6 +8317,7 @@ dependencies = [
[[package]]
name = "sc-client-api"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"fnv",
"futures 0.3.17",
......@@ -8271,6 +8345,7 @@ dependencies = [
[[package]]
name = "sc-client-db"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"hash-db",
"kvdb",
......@@ -8295,6 +8370,7 @@ dependencies = [
[[package]]
name = "sc-consensus"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -8318,6 +8394,7 @@ dependencies = [
[[package]]
name = "sc-consensus-babe"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"derive_more",
......@@ -8360,6 +8437,7 @@ dependencies = [
[[package]]
name = "sc-consensus-babe-rpc"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"derive_more",
"futures 0.3.17",
......@@ -8383,6 +8461,7 @@ dependencies = [
[[package]]
name = "sc-consensus-epochs"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"fork-tree",
"parity-scale-codec",
......@@ -8395,6 +8474,7 @@ dependencies = [
[[package]]
name = "sc-consensus-manual-seal"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"assert_matches",
"async-trait",
......@@ -8428,6 +8508,7 @@ dependencies = [
[[package]]
name = "sc-consensus-slots"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"futures 0.3.17",
......@@ -8453,6 +8534,7 @@ dependencies = [
[[package]]
name = "sc-consensus-uncles"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"sc-client-api",
"sp-authorship",
......@@ -8463,6 +8545,7 @@ dependencies = [
[[package]]
name = "sc-executor"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"lazy_static",
"libsecp256k1 0.6.0",
......@@ -8489,6 +8572,7 @@ dependencies = [
[[package]]
name = "sc-executor-common"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"derive_more",
"environmental",
......@@ -8506,6 +8590,7 @@ dependencies = [
[[package]]
name = "sc-executor-wasmi"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"log",
"parity-scale-codec",
......@@ -8521,6 +8606,7 @@ dependencies = [
[[package]]
name = "sc-executor-wasmtime"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"cfg-if 1.0.0",
"libc",
......@@ -8538,6 +8624,7 @@ dependencies = [
[[package]]
name = "sc-finality-grandpa"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"derive_more",
......@@ -8574,6 +8661,7 @@ dependencies = [
[[package]]
name = "sc-finality-grandpa-rpc"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"derive_more",
"finality-grandpa",
......@@ -8597,6 +8685,7 @@ dependencies = [
[[package]]
name = "sc-informant"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"ansi_term 0.12.1",
"futures 0.3.17",
......@@ -8613,6 +8702,7 @@ dependencies = [
[[package]]
name = "sc-keystore"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-trait",
"derive_more",
......@@ -8627,6 +8717,7 @@ dependencies = [
[[package]]
name = "sc-light"
version = "4.0.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"hash-db",
"parity-scale-codec",
......@@ -8644,6 +8735,7 @@ dependencies = [
[[package]]
name = "sc-network"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"async-std",
"async-trait",
......@@ -8694,6 +8786,7 @@ dependencies = [
[[package]]
name = "sc-network-gossip"
version = "0.10.0-dev"
source = "git+https://github.com/paritytech/substrate?branch=dp-update-jsonrpsee-client#55c16517b6053c29b8d1e5ebfe0d94bc4df75f25"
dependencies = [
"futures 0.3.17",